Bug 481617 - RHEL 5.3 can't specify GMT timezone in kickstart
Summary: RHEL 5.3 can't specify GMT timezone in kickstart
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Alexander Todorov
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-26 18:41 UTC by Issue Tracker
Modified: 2018-10-27 14:29 UTC (History)
15 users (show)

(edit)
Clone Of:
: 483094 (view as bug list)
(edit)
Last Closed: 2009-09-02 09:53:50 UTC


Attachments (Terms of Use)
listzones.py - simple script to list all zones from system-config-date (169 bytes, text/plain)
2009-05-20 09:22 UTC, Alexander Todorov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1306 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2009-09-01 10:20:11 UTC

Description Issue Tracker 2009-01-26 18:41:19 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-01-26 18:41:21 UTC
Description of problem:
Prior to RHEL5.3, I was specifying the following in my kickstart file with no problem:

timezone --utc GMT

Trying this same thing with RHEL5.3, it prompts me for the timezone instead of using what was provided in the kickstart.  I tried the following variations with no success:

timezone --utc Etc/GMT
timezone --isUtc GMT
timezone --isUtc Etc/GMT

The following does work:

timezone --utc America/Los_Angeles

I need to know what the timezone key changed to for GMT.

Thanks!

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
This event sent from IssueTracker by jbastian  [Support Engineering Group]
 issue 258145

Comment 6 Jeff Bastian 2009-01-26 19:27:53 UTC
Possibly related to https://bugzilla.redhat.com/show_bug.cgi?id=404321 ?

Comment 7 Jeff Bastian 2009-01-26 20:19:21 UTC
Yes, the change for bug 404321 is partially the source of this regression.

Anaconda's kickstart.py now checks for /usr/share/zoneinfo/ZONE-NAME to make sure the timezone name is valid.  However, the stage2.img for Anaconda is missing a lot of valid zones including
   /usr/share/zoneinfo/GMT
   /usr/share/zoneinfo/Etc/GMT
   /usr/share/zoneinfo/Etc/UTC

To fix this, we just need to add GMT and Etc/GMT and others into the stage2 /usr/share/zoneinfo

See anaconda git commits 31824235caa2d94be13c931967e81478b3fe1d9a and 4c996ef729a779ec9515e453b5c21687c860c195

http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=commit;h=31824235caa2d94be13c931967e81478b3fe1d9a
http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=commit;h=4c996ef729a779ec9515e453b5c21687c860c195

Comment 9 Jeff Bastian 2009-01-29 18:14:42 UTC
Fedora 10 also suffers from this bug; see clone bug 483094

Comment 10 Radek Vykydal 2009-01-30 12:06:38 UTC
(In reply to comment #7)

Yes, you are right. Etc/* specifiers should
be accepted in ks if they are offered the UI.

Adding the files to stage2 will also solve
11:48:52 ERROR   : unable to set timezone
which appeared in 5.2 for Etc/* specifiers.

This patch should do it.

diff --git a/scripts/upd-instroot b/scripts/upd-instroot
index 097df60..f50918d 100755
--- a/scripts/upd-instroot
+++ b/scripts/upd-instroot
@@ -851,6 +851,7 @@ usr/share/zoneinfo/Japan
 usr/share/zoneinfo/Mideast
 usr/share/zoneinfo/Pacific
 usr/share/zoneinfo/US
+usr/share/zoneinfo/Etc
 "
 
 # more dogtail stuff...

Comment 14 Jeff Bastian 2009-02-04 21:19:13 UTC
Also see http://kbase.redhat.com/faq/docs/DOC-15687 for workaround

Comment 22 RHEL Product and Program Management 2009-04-22 13:30:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 24 Radek Vykydal 2009-05-13 09:40:09 UTC
This should be fixed in version 11.1.2.174 of anaconda.

Comment 29 Alexander Todorov 2009-05-20 09:22:08 UTC
Created attachment 344764 [details]
listzones.py - simple script to list all zones from system-config-date

Comment 32 Radek Vykydal 2009-05-25 13:06:48 UTC
Alex,
the patch of upd-instroot was missing something I overlooked. I sent patch to fix it for review, tree built with .178) should contain the files.

Comment 41 Alexander Todorov 2009-06-19 10:14:47 UTC
VERIFIED that for RHEL5.4-Server-20090608.nightly, 
anaconda-11.1.2.183-1.i386.rpm, tzdata-2009f-1.el5.noarch.rpm

stage2 contains the same zone files as tzdata package

--------------------------------------------------------------------------------

Testing with invalid tz value in ks.cfg - install completed. anaconda.log says:
09:20:10 WARNING : Timezone Europe/Invalid set in kickstart is not valid.

--------------------------------------------------------------------------------

Tested all valid timezone values from tzdata package. All tests PASS.

Architecture break down:
i386      - Pass (457)
ia64      - Pass (157)
ppc       - Pass (78)
s390x   - Pass (88)
x86_64 - Pass (916) 
--------------------------
Total     - Pass (1696)

I'm moving this one to VERIFIED.

Comment 48 errata-xmlrpc 2009-09-02 09:53:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1306.html


Note You need to log in before you can comment on or make changes to this bug.